## org.codehaus.groovy.ast.stmt
Class CatchStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.CatchStatement

    public class CatchStatement

extends Statement

Represents a catch (Exception var) { } statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`CatchStatement(Parameter variable, Statement code)`

Method Summary
`Statement` `getCode()`
`ClassNode` `getExceptionType()`
`Parameter` `getVariable()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatchStatement

    public CatchStatement(Parameter variable,
                          Statement code)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getCode

    public Statement getCode()

### getExceptionType

    public ClassNode getExceptionType()

### getVariable

    public Parameter getVariable()

Copyright © 2003-2008 The Codehaus. All rights reserved.